Jump to content

Photo
- - - - -

Error: The Geolocation service failed.


  • Please log in to reply
13 replies to this topic

#1 honalans

honalans

    Level 4

  • Members
  • Level
  • 82 points
  • 164 posts

Posted 01 July 2016 - 04:47 AM

Hi my best friends in the best socialengine forum

I used module-ynmember-4.01p3

but I get always this error message : Error: The Geolocation service failed.

Untitled12.png

 

Pleaese I realy  need your help

 

 



#2 honalans

honalans

    Level 4

  • Members
  • Level
  • 82 points
  • 164 posts

Posted 01 July 2016 - 09:48 PM

Untitled12.png



#3 honalans

honalans

    Level 4

  • Members
  • Level
  • 82 points
  • 164 posts

Posted 01 July 2016 - 10:37 PM

Untitled222.png



#4 buddyshare

buddyshare

    Level 4

  • Members
  • Level
  • 98 points
  • 176 posts
    • Gender:Male
    • Location:Indonesian
    • Software:SE 4.8.x

Posted 12 July 2016 - 12:48 PM

i got same problem with you .. maybe something happen with Google with our regions !


This My Web : http://web.buddy-share.com (Indonesian SE)
My Fan Page : https://www.facebook.com/buddy4share
My Profile : http://web.buddy-share.com/profile/TeamBuddy

#5 Les

Les

    Blue Team Lima 1

  • Moderators
  • Level
  • 5,169 points
  • 3,447 posts
    • Gender:Male
    • Location:Westland, Michigan U.S.A.
    • Software:SE 5.x


Users Awards

Posted 12 July 2016 - 07:40 PM

Advanced Members 4.01p4 is updated to include features that utilize Location-based module. Install Location-based module and try again. 

 

Well, before giving up on module and your regional concerns, I would first try to "completely"   remove module [whether Advanced Members or Location-based] from web server folders [/modules, /packages, /languages] especially if you did not install younetcore [3] tables to database beforehand and remove all module specific tables and any other entries in pre-existing tables [core]. Once this is done, verify that MisterWizards YouNetco SQL Tables are imported and that they appear as the [3] tables required to function properly. Next, reinstall Location-based module. If you haven't installed Location- based module, then do so because it is needed by feature of other module[s].


Edited by Les, 12 July 2016 - 07:42 PM.

:emo: Please don't forget to  27-AwardsImgIcon.png "LIKE" if you like this post or if it is helpful to you. This is a way to show gratitude for the help that you received. After all, the "LIKE" costs you nothing. Don't you agree? Also, any and all modules, plug-ins, themes, widgets, or DB entries that are shared or posted by me are for educational purposes. Please visit the developers websites and purchase legitimately, if you like them. Thanks, Les

socialengine-experts.png

 

 


#6 buddyshare

buddyshare

    Level 4

  • Members
  • Level
  • 98 points
  • 176 posts
    • Gender:Male
    • Location:Indonesian
    • Software:SE 4.8.x

Posted 13 July 2016 - 08:08 AM



Advanced Members 4.01p4 is updated to include features that utilize Location-based module. Install Location-based module and try again. 

 

Well, before giving up on module and your regional concerns, I would first try to "completely"   remove module [whether Advanced Members or Location-based] from web server folders [/modules, /packages, /languages] especially if you did not install younetcore [3] tables to database beforehand and remove all module specific tables and any other entries in pre-existing tables [core]. Once this is done, verify that MisterWizards YouNetco SQL Tables are imported and that they appear as the [3] tables required to function properly. Next, reinstall Location-based module. If you haven't installed Location- based module, then do so because it is needed by feature of other module[s].

 

But Les it still 4.01.3 For Advanced Member in forum.. Please Share Advanced Member 4.01.4 .

Oh yeah I Have Try To Re-Installed Location Base System From Younetco . and It Still Error: Geolocation Service ... Or Maybe Problem On DNS Server ?

Or i Remove location base system on PHPMYADMIN too ?


Edited by buddyshare, 13 July 2016 - 08:14 AM.

This My Web : http://web.buddy-share.com (Indonesian SE)
My Fan Page : https://www.facebook.com/buddy4share
My Profile : http://web.buddy-share.com/profile/TeamBuddy

#7 Les

Les

    Blue Team Lima 1

  • Moderators
  • Level
  • 5,169 points
  • 3,447 posts
    • Gender:Male
    • Location:Westland, Michigan U.S.A.
    • Software:SE 5.x


Users Awards

Posted 13 July 2016 - 12:50 PM

But Les it still 4.01.3 For Advanced Member in forum.. Please Share Advanced Member 4.01.4 .

Oh yeah I Have Try To Re-Installed Location Base System From Younetco . and It Still Error: Geolocation Service ... Or Maybe Problem On DNS Server ?

Or i Remove location base system on PHPMYADMIN too ?

 

Here is the updated version 4.01p4 that supports Location-based System module.


:emo: Please don't forget to  27-AwardsImgIcon.png "LIKE" if you like this post or if it is helpful to you. This is a way to show gratitude for the help that you received. After all, the "LIKE" costs you nothing. Don't you agree? Also, any and all modules, plug-ins, themes, widgets, or DB entries that are shared or posted by me are for educational purposes. Please visit the developers websites and purchase legitimately, if you like them. Thanks, Les

socialengine-experts.png

 

 


#8 ivanpolakovic

ivanpolakovic

    Level 1

  • Members
  • Level
  • 21 points
  • 24 posts
    • Gender:Male
    • Software:SE 4.8.x

Posted 15 July 2016 - 04:10 PM

Only my opinion:

I had exactly the same issue with those same modules. Solved it the following way, up to now its working, and actually dont know, whether it was the right thing to do, but it works.

 

I put all those complete module folders under one TEST folder in my pc.

Using a text processor like Notepad ++ I searched the phrase in all folders (as mentioned above):

maps.googleapis.com/maps/api/js?

 

It will find the text strings of addresses like this:

maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&libraries=places

 

Now based on what I understood from here: https://developers.g...script/tutorial

All these scripts are calling for google javascript api.

And based on that tutorial from google, there should be included the api key.

So I replaced all these:

maps/api/js?v=3.exp&sensor=false&libraries=places

 

with these

 

/maps/api/js?key=YOUR_API_KEY_GOES_HERE&libraries=places

 

Than uploaded the changed files (about 20 to 33 files not that big deal) to where they belong. Mostly these are in the "views" and "widgets" folders inside the "modules" folder under the corresponding name of the module.

 

I want to ask anybody, If I am wrong, pls tell it so nobody would try the wrong things :-)

 

But up to now it works - since than, no problems like "The geolocation failed"...

 

BTW: Before that, in the browsers development mode it allways warned with a message:

Google Maps API warning: NoApiKeys https://developers.g...ges#no-api-keys

Just in case anybody would like to compare it to his own site.

I think, nowadays the api key should be included in the addresses calling to google servers.

I was anyway wondering, why there is no field in the modules, where I could enter the api key... So many modules, and no field to enter the api key... hmmm....

But I am sure developers must have know that its not needed...


Edited by ivanpolakovic, 15 July 2016 - 04:11 PM.


#9 Braza

Braza

    Level 1

  • Members
  • Level
  • 1 points
  • 14 posts

Posted 03 October 2016 - 01:11 AM

@buddyshare did u fix this problem? I have the same thing going on on my site...



#10 x12media

x12media

    Level 1

  • Members
  • Level
  • 3 points
  • 19 posts

Posted 08 October 2016 - 03:16 PM

If you zip up for  "modules" dir and follow the directions above from @ivanpolakovic (post above) this will solve your general issue, although you do need a SSL / HTTPS URL, for the location (get your current location) to work properly.

 

NOTE: if you dont want to worry about uploading independant files, you can zip your dir on server, download, do bulk changes, and the re-zip your dir, then upload to your host, and replace your modules dir.  (I would recommend renaming the old one to modulesold just incase you need to revert back to it.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users


All the resources listed here are just for testing purpose and they shouldn't be used at any commercial environment without a valid license.
Those are for users who wants to try them before buy. Help the developer to build it better by purchasing them from original authors.